SVNErrorCode (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.SVNErrorCode class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core
Class SVNErrorCode

    java.lang.Object
      org.tmatesoft.svn.core.SVNErrorCode

All Implemented Interfaces:
  Serializable

public class SVNErrorCode
extends Object
implements Serializable

The SVNErrorCode class represents possible predefined kinds of errors with their own identifying information. Each SVNErrorCode has its common description, belongs to a definite category of errors and also has its unique error code int value based upon the category.

Error codes (values, common descriptions and categories) are similar to ones in the native SVN.

Error codes are divided into categories of up to 5000 errors each. Categories are fixed-size; if a category has fewer than 5000 errors, then it just ends with a range of unused numbers.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  Serialized Form

Field Summary
`static SVNErrorCode` | `APMOD_ACTIVITY_NOT_FOUND`
`static SVNErrorCode` | `APMOD_BAD_BASELINE`
`static int` | `APMOD_CATEGORY`
`static SVNErrorCode` | `APMOD_CONNECTION_ABORTED`
`static SVNErrorCode` | `APMOD_MALFORMED_URI`
`static SVNErrorCode` | `APMOD_MISSING_PATH_TO_FS`
`static int` | `AUTHN_CATEGORY`
`static SVNErrorCode` | `AUTHN_CREDS_NOT_SAVED`
`static SVNErrorCode` | `AUTHN_CREDS_UNAVAILABLE`
`static SVNErrorCode` | `AUTHN_NO_PROVIDER`
`static SVNErrorCode` | `AUTHN_PROVIDERS_EXHAUSTED`
`static int` | `AUTHZ_CATEGORY`
`static SVNErrorCode` | `AUTHZ_INVALID_CONFIG`
`static SVNErrorCode` | `AUTHZ_PARTIALLY_READABLE`
`static SVNErrorCode` | `AUTHZ_ROOT_UNREADABLE`
`static SVNErrorCode` | `AUTHZ_UNREADABLE`
`static SVNErrorCode` | `AUTHZ_UNWRITABLE`
`static int` | `BAD_CATEGORY`
`static SVNErrorCode` | `BAD_CONTAINING_POOL`
`static SVNErrorCode` | `BAD_DATE`
`static SVNErrorCode` | `BAD_FILENAME`
`static SVNErrorCode` | `BAD_MIME_TYPE`
`static SVNErrorCode` | `BAD_PROP_KIND`
`static SVNErrorCode` | `BAD_PROPERTY_VALUE`
`static SVNErrorCode` | `BAD_RELATIVE_PATH`
`static SVNErrorCode` | `BAD_URL`
`static SVNErrorCode` | `BAD_UUID`
`static SVNErrorCode` | `BAD_VERSION_FILE_FORMAT`
`static SVNErrorCode` | `BASE`
`static SVNErrorCode` | `CANCELLED`
`static SVNErrorCode` | `CEASE_INVOCATION`
`static SVNErrorCode` | `CHECKSUM_MISMATCH`
`static SVNErrorCode` | `CL_ADM_DIR_RESERVED`
`static SVNErrorCode` | `CL_ARG_PARSING_ERROR`
`static SVNErrorCode` | `CL_BAD_LOG_MESSAGE`
`static int` | `CL_CATEGORY`
`static SVNErrorCode` | `CL_COMMIT_IN_ADDED_DIR`
`static SVNErrorCode` | `CL_INSUFFICIENT_ARGS`
`static SVNErrorCode` | `CL_LOG_MESSAGE_IS_PATHNAME`
`static SVNErrorCode` | `CL_LOG_MESSAGE_IS_VERSIONED_FILE`
`static SVNErrorCode` | `CL_MUTUALLY_EXCLUSIVE_ARGS`
`static SVNErrorCode` | `CL_NO_EXTERNAL_EDITOR`
`static SVNErrorCode` | `CL_NO_EXTERNAL_MERGE_TOOL`
`static SVNErrorCode` | `CL_UNNECESSARY_LOG_MESSAGE`
`static SVNErrorCode` | `CLIENT_BAD_REVISION`
`static int` | `CLIENT_CATEGORY`
`static SVNErrorCode` | `CLIENT_DUPLICATE_COMMIT_URL`
`static SVNErrorCode` | `CLIENT_FILE_EXTERNAL_OVERWRITE_VERSIONED`
`static SVNErrorCode` | `CLIENT_INVALID_EXTERNALS_DESCRIPTION`
`static SVNErrorCode` | `CLIENT_INVALID_RELOCATION`
`static SVNErrorCode` | `CLIENT_IS_BINARY_FILE`
`static SVNErrorCode` | `CLIENT_IS_DIRECTORY`
`static SVNErrorCode` | `CLIENT_MISSING_LOCK_TOKEN`
`static SVNErrorCode` | `CLIENT_MODIFIED`
`static SVNErrorCode` | `CLIENT_MULTIPLE_SOURCES_DISALLOWED`
`static SVNErrorCode` | `CLIENT_NO_VERSIONED_PARENT`
`static SVNErrorCode` | `CLIENT_NOT_READY_TO_MERGE`
`static SVNErrorCode` | `CLIENT_PROPERTY_NAME`
`static SVNErrorCode` | `CLIENT_RA_ACCESS_REQUIRED`
`static SVNErrorCode` | `CLIENT_REVISION_AUTHOR_CONTAINS_NEWLINE`
`static SVNErrorCode` | `CLIENT_REVISION_RANGE`
`static SVNErrorCode` | `CLIENT_UNRELATED_RESOURCES`
`static SVNErrorCode` | `CLIENT_VERSIONED_PATH_REQUIRED`
`static SVNErrorCode` | `DELTA_MD5_CHECKSUM_ABSENT`
`static SVNErrorCode` | `DIR_NOT_EMPTY`
`static SVNErrorCode` | `ENTRY_ATTRIBUTE_INVALID`
`static int` | `ENTRY_CATEGORY`
`static SVNErrorCode` | `ENTRY_EXISTS`
`static SVNErrorCode` | `ENTRY_MISSING_REVISION`
`static SVNErrorCode` | `ENTRY_MISSING_URL`
`static SVNErrorCode` | `ENTRY_NOT_FOUND`
`static SVNErrorCode` | `EXTERNAL_PROGRAM`
`static SVNErrorCode` | `FS_ALREADY_EXISTS`
`static SVNErrorCode` | `FS_ALREADY_OPEN`
`static SVNErrorCode` | `FS_BAD_LOCK_TOKEN`
`static SVNErrorCode` | `FS_BERKELEY_DB`
`static SVNErrorCode` | `FS_BERKELEY_DB_DEADLOCK`
`static int` | `FS_CATEGORY`
`static SVNErrorCode` | `FS_CLEANUP`
`static SVNErrorCode` | `FS_CONFLICT`
`static SVNErrorCode` | `FS_CORRUPT`
`static SVNErrorCode` | `FS_GENERAL`
`static SVNErrorCode` | `FS_ID_NOT_FOUND`
`static SVNErrorCode` | `FS_LOCK_EXPIRED`
`static SVNErrorCode` | `FS_LOCK_OWNER_MISMATCH`
`static SVNErrorCode` | `FS_MALFORMED_SKEL`
`static SVNErrorCode` | `FS_NO_LOCK_TOKEN`
`static SVNErrorCode` | `FS_NO_SUCH_COPY`
`static SVNErrorCode` | `FS_NO_SUCH_ENTRY`
`static SVNErrorCode` | `FS_NO_SUCH_LOCK`
`static SVNErrorCode` | `FS_NO_SUCH_NODE_ORIGIN`
`static SVNErrorCode` | `FS_NO_SUCH_REPRESENTATION`
`static SVNErrorCode` | `FS_NO_SUCH_REVISION`
`static SVNErrorCode` | `FS_NO_SUCH_STRING`
`static SVNErrorCode` | `FS_NO_SUCH_TRANSACTION`
`static SVNErrorCode` | `FS_NO_USER`
`static SVNErrorCode` | `FS_NOT_DIRECTORY`
`static SVNErrorCode` | `FS_NOT_FILE`
`static SVNErrorCode` | `FS_NOT_FOUND`
`static SVNErrorCode` | `FS_NOT_ID`
`static SVNErrorCode` | `FS_NOT_MUTABLE`
`static SVNErrorCode` | `FS_NOT_OPEN`
`static SVNErrorCode` | `FS_NOT_REVISION_ROOT`
`static SVNErrorCode` | `FS_NOT_SINGLE_PATH_COMPONENT`
`static SVNErrorCode` | `FS_NOT_TXN_ROOT`
`static SVNErrorCode` | `FS_OUT_OF_DATE`
`static SVNErrorCode` | `FS_PATH_ALREADY_LOCKED`
`static SVNErrorCode` | `FS_PATH_NOT_LOCKED`
`static SVNErrorCode` | `FS_PATH_SYNTAX`
`static SVNErrorCode` | `FS_REP_BEING_WRITTEN`
`static SVNErrorCode` | `FS_REP_CHANGED`
`static SVNErrorCode` | `FS_REP_NOT_MUTABLE`
`static SVNErrorCode` | `FS_ROOT_DIR`
`static SVNErrorCode` | `FS_TRANSACTION_DEAD`
`static SVNErrorCode` | `FS_TRANSACTION_NOT_DEAD`
`static SVNErrorCode` | `FS_TRANSACTION_NOT_MUTABLE`
`static SVNErrorCode` | `FS_TXN_NAME_TOO_LONG`
`static SVNErrorCode` | `FS_TXN_OUT_OF_DATE`
`static SVNErrorCode` | `FS_UNKNOWN_FS_TYPE`
`static SVNErrorCode` | `FS_UNSUPPORTED_FORMAT`
`static SVNErrorCode` | `ILLEGAL_TARGET`
`static SVNErrorCode` | `INCOMPLETE_DATA`
`static SVNErrorCode` | `INCORRECT_PARAMS`
`static SVNErrorCode` | `INVALID_DIFF_OPTION`
`static int` | `IO_CATEGORY`
`static SVNErrorCode` | `IO_CORRUPT_EOL`
`static SVNErrorCode` | `IO_ERROR`
`static SVNErrorCode` | `IO_INCONSISTENT_EOL`
`static SVNErrorCode` | `IO_PIPE_FRAME_ERROR`
`static SVNErrorCode` | `IO_PIPE_READ_ERROR`
`static SVNErrorCode` | `IO_UNIQUE_NAMES_EXHAUSTED`
`static SVNErrorCode` | `IO_UNKNOWN_EOL`
`static SVNErrorCode` | `IO_WRITE_ERROR`
`static SVNErrorCode` | `ITER_BREAK`
`static SVNErrorCode` | `MALFORMED_FILE`
`static SVNErrorCode` | `MERGE_INFO_PARSE_ERROR`
`static int` | `MISC_CATEGORY`
`static SVNErrorCode` | `NO_AUTH_FILE_PATH`
`static int` | `NODE_CATEGORY`
`static SVNErrorCode` | `NODE_UNEXPECTED_KIND`
`static SVNErrorCode` | `NODE_UNKNOWN_KIND`
`static SVNErrorCode` | `PLUGIN_LOAD_FAILURE`
`static SVNErrorCode` | `PROPERTY_NOT_FOUND`
`static int` | `RA_CATEGORY`
`static SVNErrorCode` | `RA_DAV_ALREADY_EXISTS`
`static int` | `RA_DAV_CATEGORY`
`static SVNErrorCode` | `RA_DAV_CREATING_REQUEST`
`static SVNErrorCode` | `RA_DAV_INVALID_CONFIG_VALUE`
`static SVNErrorCode` | `RA_DAV_MALFORMED_DATA`
`static SVNErrorCode` | `RA_DAV_OPTIONS_REQ_FAILED`
`static SVNErrorCode` | `RA_DAV_PATH_NOT_FOUND`
`static SVNErrorCode` | `RA_DAV_PROPPATCH_FAILED`
`static SVNErrorCode` | `RA_DAV_PROPS_NOT_FOUND`
`static SVNErrorCode` | `RA_DAV_RELOCATED`
`static SVNErrorCode` | `RA_DAV_REQUEST_FAILED`
`static SVNErrorCode` | `RA_DAV_RESPONSE_HEADER_BADNESS`
`static SVNErrorCode` | `RA_DAV_SOCK_INIT`
`static SVNErrorCode` | `RA_ILLEGAL_URL`
`static int` | `RA_LOCAL_CATEGORY`
`static SVNErrorCode` | `RA_LOCAL_REPOS_NOT_FOUND`
`static SVNErrorCode` | `RA_LOCAL_REPOS_OPEN_FAILED`
`static SVNErrorCode` | `RA_NO_REPOS_UUID`
`static SVNErrorCode` | `RA_NOT_AUTHORIZED`
`static SVNErrorCode` | `RA_NOT_IMPLEMENTED`
`static SVNErrorCode` | `RA_NOT_LOCKED`
`static SVNErrorCode` | `RA_OUT_OF_DATE`
`static SVNErrorCode` | `RA_PARTIAL_REPLAY_NOT_SUPPORTED`
`static SVNErrorCode` | `RA_REPOS_ROOT_URL_MISMATCH`
`static SVNErrorCode` | `RA_SVN_BAD_VERSION`
`static int` | `RA_SVN_CATEGORY`
`static SVNErrorCode` | `RA_SVN_CMD_ERR`
`static SVNErrorCode` | `RA_SVN_CONNECTION_CLOSED`
`static SVNErrorCode` | `RA_SVN_IO_ERROR`
`static SVNErrorCode` | `RA_SVN_MALFORMED_DATA`
`static SVNErrorCode` | `RA_SVN_REPOS_NOT_FOUND`
`static SVNErrorCode` | `RA_SVN_UNKNOWN_CMD`
`static SVNErrorCode` | `RA_UNKNOWN_AUTH`
`static SVNErrorCode` | `RA_UNSUPPORTED_ABI_VERSION`
`static SVNErrorCode` | `RA_UUID_MISMATCH`
`static SVNErrorCode` | `REPOS_BAD_ARGS`
`static SVNErrorCode` | `REPOS_BAD_REVISION_REPORT`
`static int` | `REPOS_CATEGORY`
`static SVNErrorCode` | `REPOS_DISABLED_FEATURE`
`static SVNErrorCode` | `REPOS_HOOK_FAILURE`
`static SVNErrorCode` | `REPOS_LOCKED`
`static SVNErrorCode` | `REPOS_NO_DATA_FOR_REPORT`
`static SVNErrorCode` | `REPOS_POST_COMMIT_HOOK_FAILED`
`static SVNErrorCode` | `REPOS_POST_LOCK_HOOK_FAILED`
`static SVNErrorCode` | `REPOS_POST_UNLOCK_HOOK_FAILED`
`static SVNErrorCode` | `REPOS_UNSUPPORTED_VERSION`
`static SVNErrorCode` | `RESERVED_FILENAME_SPECIFIED`
`static SVNErrorCode` | `REVISION_NUMBER_PARSE_ERROR`
`static int` | `STREAM_CATEGORY`
`static SVNErrorCode` | `STREAM_MALFORMED_DATA`
`static SVNErrorCode` | `STREAM_UNEXPECTED_EOF`
`static SVNErrorCode` | `STREAM_UNRECOGNIZED_DATA`
`static SVNErrorCode` | `SVNDIFF_BACKWARD_VIEW`
`static int` | `SVNDIFF_CATEGORY`
`static SVNErrorCode` | `SVNDIFF_CORRUPT_WINDOW`
`static SVNErrorCode` | `SVNDIFF_INVALID_HEADER`
`static SVNErrorCode` | `SVNDIFF_INVALID_OPS`
`static SVNErrorCode` | `SVNDIFF_UNEXPECTED_END`
`static SVNErrorCode` | `SWIG_PY_EXCEPTION_SET`
`static SVNErrorCode` | `TEST_FAILED`
`static SVNErrorCode` | `UNKNOWN`
`static SVNErrorCode` | `UNKNOWN_CAPABILITY`
`static SVNErrorCode` | `UNKNOWN_CHANGELIST`
`static SVNErrorCode` | `UNSUPPORTED_FEATURE`
`static SVNErrorCode` | `UNVERSIONED_RESOURCE`
`static SVNErrorCode` | `VERSION_MISMATCH`
`static SVNErrorCode` | `WC_BAD_ADM_LOG`
`static SVNErrorCode` | `WC_BAD_ADM_LOG_START`
`static SVNErrorCode` | `WC_BAD_PATH`
`static SVNErrorCode` | `WC_CANNOT_DELETE_FILE_EXTERNAL`
`static SVNErrorCode` | `WC_CANNOT_MOVE_FILE_EXTERNAL`
`static int` | `WC_CATEGORY`
`static SVNErrorCode` | `WC_CHANGELIST_MOVE`
`static SVNErrorCode` | `WC_CONFLICT_RESOLVER_FAILURE`
`static SVNErrorCode` | `WC_COPYFROM_PATH_NOT_FOUND`
`static SVNErrorCode` | `WC_CORRUPT`
`static SVNErrorCode` | `WC_CORRUPT_TEXT_BASE`
`static SVNErrorCode` | `WC_FOUND_CONFLICT`
`static SVNErrorCode` | `WC_INVALID_LOCK`
`static SVNErrorCode` | `WC_INVALID_OP_ON_CWD`
`static SVNErrorCode` | `WC_INVALID_RELOCATION`
`static SVNErrorCode` | `WC_INVALID_SCHEDULE`
`static SVNErrorCode` | `WC_INVALID_SWITCH`
`static SVNErrorCode` | `WC_LEFT_LOCAL_MOD`
`static SVNErrorCode` | `WC_LOCKED`
`static SVNErrorCode` | `WC_MISMATCHED_CHANGELIST`
`static SVNErrorCode` | `WC_NODE_KIND_CHANGE`
`static SVNErrorCode` | `WC_NOT_DIRECTORY`
`static SVNErrorCode` | `WC_NOT_FILE`
`static SVNErrorCode` | `WC_NOT_LOCKED`
`static SVNErrorCode` | `WC_NOT_UP_TO_DATE`
`static SVNErrorCode` | `WC_OBSTRUCTED_UPDATE`
`static SVNErrorCode` | `WC_PATH_FOUND`
`static SVNErrorCode` | `WC_PATH_NOT_FOUND`
`static SVNErrorCode` | `WC_SCHEDULE_CONFLICT`
`static SVNErrorCode` | `WC_UNSUPPORTED_FORMAT`
`static SVNErrorCode` | `WC_UNWIND_EMPTY`
`static SVNErrorCode` | `WC_UNWIND_MISMATCH`
`static SVNErrorCode` | `WC_UNWIND_NOT_EMPTY`
`static SVNErrorCode` | `XML_ATTRIB_NOT_FOUND`
`static int` | `XML_CATEGORY`
`static SVNErrorCode` | `XML_MALFORMED`
`static SVNErrorCode` | `XML_MISSING_ANCESTRY`
`static SVNErrorCode` | `XML_UNESCAPABLE_DATA`
`static SVNErrorCode` | `XML_UNKNOWN_ENCODING`

Constructor Summary
`protected` | `SVNErrorCode(int category, int index, String description)`

Method Summary
`boolean` | `equals(Object o)` Says if the given object and this one are equal.
`int` | `getCategory()` Returns the category this error code object belongs to.
`int` | `getCode()` Returns a unique error code value.
`String` | `getDescription()` Returns a description of this error.
`static SVNErrorCode` | `getErrorCode(int code)` Gets an error code object given its unique error code number.
`int` | `hashCode()` Returns a hash code for this object.
`boolean` | `isAuthentication()` Says if this error is an authentication error.
`String` | `toString()` Gives a string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BAD_CATEGORY

    public static final int BAD_CATEGORY

See Also:
  Constant Field Values

### XML_CATEGORY

    public static final int XML_CATEGORY

See Also:
  Constant Field Values

### IO_CATEGORY

    public static final int IO_CATEGORY

See Also:
  Constant Field Values

### STREAM_CATEGORY

    public static final int STREAM_CATEGORY

See Also:
  Constant Field Values

### NODE_CATEGORY

    public static final int NODE_CATEGORY

See Also:
  Constant Field Values

### ENTRY_CATEGORY

    public static final int ENTRY_CATEGORY

See Also:
  Constant Field Values

### WC_CATEGORY

    public static final int WC_CATEGORY

See Also:
  Constant Field Values

### FS_CATEGORY

    public static final int FS_CATEGORY

See Also:
  Constant Field Values

### REPOS_CATEGORY

    public static final int REPOS_CATEGORY

See Also:
  Constant Field Values

### RA_CATEGORY

    public static final int RA_CATEGORY

See Also:
  Constant Field Values

### RA_DAV_CATEGORY

    public static final int RA_DAV_CATEGORY

See Also:
  Constant Field Values

### RA_LOCAL_CATEGORY

    public static final int RA_LOCAL_CATEGORY

See Also:
  Constant Field Values

### SVNDIFF_CATEGORY

    public static final int SVNDIFF_CATEGORY

See Also:
  Constant Field Values

### APMOD_CATEGORY

    public static final int APMOD_CATEGORY

See Also:
  Constant Field Values

### CLIENT_CATEGORY

    public static final int CLIENT_CATEGORY

See Also:
  Constant Field Values

### MISC_CATEGORY

    public static final int MISC_CATEGORY

See Also:
  Constant Field Values

### CL_CATEGORY

    public static final int CL_CATEGORY

See Also:
  Constant Field Values

### RA_SVN_CATEGORY

    public static final int RA_SVN_CATEGORY

See Also:
  Constant Field Values

### AUTHN_CATEGORY

    public static final int AUTHN_CATEGORY

See Also:
  Constant Field Values

### AUTHZ_CATEGORY

    public static final int AUTHZ_CATEGORY

See Also:
  Constant Field Values

### UNKNOWN

    public static final SVNErrorCode UNKNOWN

### IO_ERROR

    public static final SVNErrorCode IO_ERROR

### BAD_CONTAINING_POOL

    public static final SVNErrorCode BAD_CONTAINING_POOL

### BAD_FILENAME

    public static final SVNErrorCode BAD_FILENAME

### BAD_URL

    public static final SVNErrorCode BAD_URL

### BAD_DATE

    public static final SVNErrorCode BAD_DATE

### BAD_MIME_TYPE

    public static final SVNErrorCode BAD_MIME_TYPE

### BAD_PROPERTY_VALUE

    public static final SVNErrorCode BAD_PROPERTY_VALUE

### BAD_VERSION_FILE_FORMAT

    public static final SVNErrorCode BAD_VERSION_FILE_FORMAT

### BAD_RELATIVE_PATH

    public static final SVNErrorCode BAD_RELATIVE_PATH

Since:
  1.2.0, SVN 1.5

### BAD_UUID

    public static final SVNErrorCode BAD_UUID

Since:
  1.2.0, SVN 1.5

### XML_ATTRIB_NOT_FOUND

    public static final SVNErrorCode XML_ATTRIB_NOT_FOUND

### XML_MISSING_ANCESTRY

    public static final SVNErrorCode XML_MISSING_ANCESTRY

### XML_UNKNOWN_ENCODING

    public static final SVNErrorCode XML_UNKNOWN_ENCODING

### XML_MALFORMED

    public static final SVNErrorCode XML_MALFORMED

### XML_UNESCAPABLE_DATA

    public static final SVNErrorCode XML_UNESCAPABLE_DATA

### IO_INCONSISTENT_EOL

    public static final SVNErrorCode IO_INCONSISTENT_EOL

### IO_UNKNOWN_EOL

    public static final SVNErrorCode IO_UNKNOWN_EOL

### IO_CORRUPT_EOL

    public static final SVNErrorCode IO_CORRUPT_EOL

### IO_UNIQUE_NAMES_EXHAUSTED

    public static final SVNErrorCode IO_UNIQUE_NAMES_EXHAUSTED

### IO_PIPE_FRAME_ERROR

    public static final SVNErrorCode IO_PIPE_FRAME_ERROR

### IO_PIPE_READ_ERROR

    public static final SVNErrorCode IO_PIPE_READ_ERROR

### IO_WRITE_ERROR

    public static final SVNErrorCode IO_WRITE_ERROR

### STREAM_UNEXPECTED_EOF

    public static final SVNErrorCode STREAM_UNEXPECTED_EOF

### STREAM_MALFORMED_DATA

    public static final SVNErrorCode STREAM_MALFORMED_DATA

### STREAM_UNRECOGNIZED_DATA

    public static final SVNErrorCode STREAM_UNRECOGNIZED_DATA

### NODE_UNKNOWN_KIND

    public static final SVNErrorCode NODE_UNKNOWN_KIND

### NODE_UNEXPECTED_KIND

    public static final SVNErrorCode NODE_UNEXPECTED_KIND

### ENTRY_NOT_FOUND

    public static final SVNErrorCode ENTRY_NOT_FOUND

### ENTRY_EXISTS

    public static final SVNErrorCode ENTRY_EXISTS

### ENTRY_MISSING_REVISION

    public static final SVNErrorCode ENTRY_MISSING_REVISION

### ENTRY_MISSING_URL

    public static final SVNErrorCode ENTRY_MISSING_URL

### ENTRY_ATTRIBUTE_INVALID

    public static final SVNErrorCode ENTRY_ATTRIBUTE_INVALID

### WC_OBSTRUCTED_UPDATE

    public static final SVNErrorCode WC_OBSTRUCTED_UPDATE

### WC_UNWIND_MISMATCH

    public static final SVNErrorCode WC_UNWIND_MISMATCH

### WC_UNWIND_EMPTY

    public static final SVNErrorCode WC_UNWIND_EMPTY

### WC_UNWIND_NOT_EMPTY

    public static final SVNErrorCode WC_UNWIND_NOT_EMPTY

### WC_LOCKED

    public static final SVNErrorCode WC_LOCKED

### WC_NOT_LOCKED

    public static final SVNErrorCode WC_NOT_LOCKED

### WC_INVALID_LOCK

    public static final SVNErrorCode WC_INVALID_LOCK

### WC_NOT_DIRECTORY

    public static final SVNErrorCode WC_NOT_DIRECTORY

### WC_NOT_FILE

    public static final SVNErrorCode WC_NOT_FILE

### WC_BAD_ADM_LOG

    public static final SVNErrorCode WC_BAD_ADM_LOG

### WC_PATH_NOT_FOUND

    public static final SVNErrorCode WC_PATH_NOT_FOUND

### WC_NOT_UP_TO_DATE

    public static final SVNErrorCode WC_NOT_UP_TO_DATE

### WC_LEFT_LOCAL_MOD

    public static final SVNErrorCode WC_LEFT_LOCAL_MOD

### WC_SCHEDULE_CONFLICT

    public static final SVNErrorCode WC_SCHEDULE_CONFLICT

### WC_PATH_FOUND

    public static final SVNErrorCode WC_PATH_FOUND

### WC_FOUND_CONFLICT

    public static final SVNErrorCode WC_FOUND_CONFLICT

### WC_CORRUPT

    public static final SVNErrorCode WC_CORRUPT

### WC_CORRUPT_TEXT_BASE

    public static final SVNErrorCode WC_CORRUPT_TEXT_BASE

### WC_NODE_KIND_CHANGE

    public static final SVNErrorCode WC_NODE_KIND_CHANGE

### WC_INVALID_OP_ON_CWD

    public static final SVNErrorCode WC_INVALID_OP_ON_CWD

### WC_BAD_ADM_LOG_START

    public static final SVNErrorCode WC_BAD_ADM_LOG_START

### WC_UNSUPPORTED_FORMAT

    public static final SVNErrorCode WC_UNSUPPORTED_FORMAT

### WC_BAD_PATH

    public static final SVNErrorCode WC_BAD_PATH

### WC_INVALID_SCHEDULE

    public static final SVNErrorCode WC_INVALID_SCHEDULE

### WC_INVALID_RELOCATION

    public static final SVNErrorCode WC_INVALID_RELOCATION

### WC_INVALID_SWITCH

    public static final SVNErrorCode WC_INVALID_SWITCH

### WC_MISMATCHED_CHANGELIST

    public static final SVNErrorCode WC_MISMATCHED_CHANGELIST

Since:
  1.2.0, SVN 1.5

### WC_CONFLICT_RESOLVER_FAILURE

    public static final SVNErrorCode WC_CONFLICT_RESOLVER_FAILURE

Since:
  1.2.0, SVN 1.5

### WC_COPYFROM_PATH_NOT_FOUND

    public static final SVNErrorCode WC_COPYFROM_PATH_NOT_FOUND

Since:
  1.2.0, SVN 1.5

### WC_CHANGELIST_MOVE

    public static final SVNErrorCode WC_CHANGELIST_MOVE

Since:
  1.2.0, SVN 1.5

### WC_CANNOT_DELETE_FILE_EXTERNAL

    public static final SVNErrorCode WC_CANNOT_DELETE_FILE_EXTERNAL

Since:
  1.3, SVN 1.6

### WC_CANNOT_MOVE_FILE_EXTERNAL

    public static final SVNErrorCode WC_CANNOT_MOVE_FILE_EXTERNAL

Since:
  1.3, SVN 1.6

### FS_GENERAL

    public static final SVNErrorCode FS_GENERAL

### FS_CLEANUP

    public static final SVNErrorCode FS_CLEANUP

### FS_ALREADY_OPEN

    public static final SVNErrorCode FS_ALREADY_OPEN

### FS_NOT_OPEN

    public static final SVNErrorCode FS_NOT_OPEN

### FS_CORRUPT

    public static final SVNErrorCode FS_CORRUPT

### FS_PATH_SYNTAX

    public static final SVNErrorCode FS_PATH_SYNTAX

### FS_NO_SUCH_REVISION

    public static final SVNErrorCode FS_NO_SUCH_REVISION

### FS_NO_SUCH_TRANSACTION

    public static final SVNErrorCode FS_NO_SUCH_TRANSACTION

### FS_NO_SUCH_ENTRY

    public static final SVNErrorCode FS_NO_SUCH_ENTRY

### FS_NO_SUCH_REPRESENTATION

    public static final SVNErrorCode FS_NO_SUCH_REPRESENTATION

### FS_NO_SUCH_STRING

    public static final SVNErrorCode FS_NO_SUCH_STRING

### FS_NO_SUCH_COPY

    public static final SVNErrorCode FS_NO_SUCH_COPY

### FS_TRANSACTION_NOT_MUTABLE

    public static final SVNErrorCode FS_TRANSACTION_NOT_MUTABLE

### FS_NOT_FOUND

    public static final SVNErrorCode FS_NOT_FOUND

### FS_ID_NOT_FOUND

    public static final SVNErrorCode FS_ID_NOT_FOUND

### FS_NOT_ID

    public static final SVNErrorCode FS_NOT_ID

### FS_NOT_DIRECTORY

    public static final SVNErrorCode FS_NOT_DIRECTORY

### FS_NOT_FILE

    public static final SVNErrorCode FS_NOT_FILE

### FS_NOT_SINGLE_PATH_COMPONENT

    public static final SVNErrorCode FS_NOT_SINGLE_PATH_COMPONENT

### FS_NOT_MUTABLE

    public static final SVNErrorCode FS_NOT_MUTABLE

### FS_ALREADY_EXISTS

    public static final SVNErrorCode FS_ALREADY_EXISTS

### FS_ROOT_DIR

    public static final SVNErrorCode FS_ROOT_DIR

### FS_NOT_TXN_ROOT

    public static final SVNErrorCode FS_NOT_TXN_ROOT

### FS_NOT_REVISION_ROOT

    public static final SVNErrorCode FS_NOT_REVISION_ROOT

### FS_CONFLICT

    public static final SVNErrorCode FS_CONFLICT

### FS_REP_CHANGED

    public static final SVNErrorCode FS_REP_CHANGED

### FS_REP_NOT_MUTABLE

    public static final SVNErrorCode FS_REP_NOT_MUTABLE

### FS_MALFORMED_SKEL

    public static final SVNErrorCode FS_MALFORMED_SKEL

### FS_TXN_OUT_OF_DATE

    public static final SVNErrorCode FS_TXN_OUT_OF_DATE

### FS_BERKELEY_DB

    public static final SVNErrorCode FS_BERKELEY_DB

### FS_BERKELEY_DB_DEADLOCK

    public static final SVNErrorCode FS_BERKELEY_DB_DEADLOCK

### FS_TRANSACTION_DEAD

    public static final SVNErrorCode FS_TRANSACTION_DEAD

### FS_TRANSACTION_NOT_DEAD

    public static final SVNErrorCode FS_TRANSACTION_NOT_DEAD

### FS_UNKNOWN_FS_TYPE

    public static final SVNErrorCode FS_UNKNOWN_FS_TYPE

### FS_NO_USER

    public static final SVNErrorCode FS_NO_USER

### FS_PATH_ALREADY_LOCKED

    public static final SVNErrorCode FS_PATH_ALREADY_LOCKED

### FS_PATH_NOT_LOCKED

    public static final SVNErrorCode FS_PATH_NOT_LOCKED

### FS_BAD_LOCK_TOKEN

    public static final SVNErrorCode FS_BAD_LOCK_TOKEN

### FS_NO_LOCK_TOKEN

    public static final SVNErrorCode FS_NO_LOCK_TOKEN

### FS_LOCK_OWNER_MISMATCH

    public static final SVNErrorCode FS_LOCK_OWNER_MISMATCH

### FS_NO_SUCH_LOCK

    public static final SVNErrorCode FS_NO_SUCH_LOCK

### FS_LOCK_EXPIRED

    public static final SVNErrorCode FS_LOCK_EXPIRED

### FS_OUT_OF_DATE

    public static final SVNErrorCode FS_OUT_OF_DATE

### FS_UNSUPPORTED_FORMAT

    public static final SVNErrorCode FS_UNSUPPORTED_FORMAT

### FS_REP_BEING_WRITTEN

    public static final SVNErrorCode FS_REP_BEING_WRITTEN

### FS_TXN_NAME_TOO_LONG

    public static final SVNErrorCode FS_TXN_NAME_TOO_LONG

### FS_NO_SUCH_NODE_ORIGIN

    public static final SVNErrorCode FS_NO_SUCH_NODE_ORIGIN

### REPOS_LOCKED

    public static final SVNErrorCode REPOS_LOCKED

### REPOS_HOOK_FAILURE

    public static final SVNErrorCode REPOS_HOOK_FAILURE

### REPOS_BAD_ARGS

    public static final SVNErrorCode REPOS_BAD_ARGS

### REPOS_NO_DATA_FOR_REPORT

    public static final SVNErrorCode REPOS_NO_DATA_FOR_REPORT

### REPOS_BAD_REVISION_REPORT

    public static final SVNErrorCode REPOS_BAD_REVISION_REPORT

### REPOS_UNSUPPORTED_VERSION

    public static final SVNErrorCode REPOS_UNSUPPORTED_VERSION

### REPOS_DISABLED_FEATURE

    public static final SVNErrorCode REPOS_DISABLED_FEATURE

### REPOS_POST_COMMIT_HOOK_FAILED

    public static final SVNErrorCode REPOS_POST_COMMIT_HOOK_FAILED

### REPOS_POST_LOCK_HOOK_FAILED

    public static final SVNErrorCode REPOS_POST_LOCK_HOOK_FAILED

### REPOS_POST_UNLOCK_HOOK_FAILED

    public static final SVNErrorCode REPOS_POST_UNLOCK_HOOK_FAILED

### RA_ILLEGAL_URL

    public static final SVNErrorCode RA_ILLEGAL_URL

### RA_NOT_AUTHORIZED

    public static final SVNErrorCode RA_NOT_AUTHORIZED

### RA_UNKNOWN_AUTH

    public static final SVNErrorCode RA_UNKNOWN_AUTH

### RA_NOT_IMPLEMENTED

    public static final SVNErrorCode RA_NOT_IMPLEMENTED

### RA_OUT_OF_DATE

    public static final SVNErrorCode RA_OUT_OF_DATE

### RA_NO_REPOS_UUID

    public static final SVNErrorCode RA_NO_REPOS_UUID

### RA_UNSUPPORTED_ABI_VERSION

    public static final SVNErrorCode RA_UNSUPPORTED_ABI_VERSION

### RA_NOT_LOCKED

    public static final SVNErrorCode RA_NOT_LOCKED

### RA_PARTIAL_REPLAY_NOT_SUPPORTED

    public static final SVNErrorCode RA_PARTIAL_REPLAY_NOT_SUPPORTED

Since:
  1.2.0, SVN 1.5

### RA_UUID_MISMATCH

    public static final SVNErrorCode RA_UUID_MISMATCH

Since:
  1.2.0, SVN 1.5

### RA_REPOS_ROOT_URL_MISMATCH

    public static final SVNErrorCode RA_REPOS_ROOT_URL_MISMATCH

Since:
  1.3, SVN 1.6

### RA_DAV_SOCK_INIT

    public static final SVNErrorCode RA_DAV_SOCK_INIT

### RA_DAV_CREATING_REQUEST

    public static final SVNErrorCode RA_DAV_CREATING_REQUEST

### RA_DAV_REQUEST_FAILED

    public static final SVNErrorCode RA_DAV_REQUEST_FAILED

### RA_DAV_OPTIONS_REQ_FAILED

    public static final SVNErrorCode RA_DAV_OPTIONS_REQ_FAILED

### RA_DAV_PROPS_NOT_FOUND

    public static final SVNErrorCode RA_DAV_PROPS_NOT_FOUND

### RA_DAV_ALREADY_EXISTS

    public static final SVNErrorCode RA_DAV_ALREADY_EXISTS

### RA_DAV_INVALID_CONFIG_VALUE

    public static final SVNErrorCode RA_DAV_INVALID_CONFIG_VALUE

### RA_DAV_PATH_NOT_FOUND

    public static final SVNErrorCode RA_DAV_PATH_NOT_FOUND

### RA_DAV_PROPPATCH_FAILED

    public static final SVNErrorCode RA_DAV_PROPPATCH_FAILED

### RA_DAV_MALFORMED_DATA

    public static final SVNErrorCode RA_DAV_MALFORMED_DATA

### RA_DAV_RESPONSE_HEADER_BADNESS

    public static final SVNErrorCode RA_DAV_RESPONSE_HEADER_BADNESS

### RA_DAV_RELOCATED

    public static final SVNErrorCode RA_DAV_RELOCATED

Since:
  1.2.0, SVN 1.5

### RA_LOCAL_REPOS_NOT_FOUND

    public static final SVNErrorCode RA_LOCAL_REPOS_NOT_FOUND

### RA_LOCAL_REPOS_OPEN_FAILED

    public static final SVNErrorCode RA_LOCAL_REPOS_OPEN_FAILED

### RA_SVN_CMD_ERR

    public static final SVNErrorCode RA_SVN_CMD_ERR

### RA_SVN_UNKNOWN_CMD

    public static final SVNErrorCode RA_SVN_UNKNOWN_CMD

### RA_SVN_CONNECTION_CLOSED

    public static final SVNErrorCode RA_SVN_CONNECTION_CLOSED

### RA_SVN_IO_ERROR

    public static final SVNErrorCode RA_SVN_IO_ERROR

### RA_SVN_MALFORMED_DATA

    public static final SVNErrorCode RA_SVN_MALFORMED_DATA

### RA_SVN_REPOS_NOT_FOUND

    public static final SVNErrorCode RA_SVN_REPOS_NOT_FOUND

### RA_SVN_BAD_VERSION

    public static final SVNErrorCode RA_SVN_BAD_VERSION

### AUTHN_CREDS_UNAVAILABLE

    public static final SVNErrorCode AUTHN_CREDS_UNAVAILABLE

### AUTHN_NO_PROVIDER

    public static final SVNErrorCode AUTHN_NO_PROVIDER

### AUTHN_PROVIDERS_EXHAUSTED

    public static final SVNErrorCode AUTHN_PROVIDERS_EXHAUSTED

### AUTHN_CREDS_NOT_SAVED

    public static final SVNErrorCode AUTHN_CREDS_NOT_SAVED

### AUTHZ_ROOT_UNREADABLE

    public static final SVNErrorCode AUTHZ_ROOT_UNREADABLE

### AUTHZ_UNREADABLE

    public static final SVNErrorCode AUTHZ_UNREADABLE

### AUTHZ_PARTIALLY_READABLE

    public static final SVNErrorCode AUTHZ_PARTIALLY_READABLE

### AUTHZ_INVALID_CONFIG

    public static final SVNErrorCode AUTHZ_INVALID_CONFIG

### AUTHZ_UNWRITABLE

    public static final SVNErrorCode AUTHZ_UNWRITABLE

### SVNDIFF_INVALID_HEADER

    public static final SVNErrorCode SVNDIFF_INVALID_HEADER

### SVNDIFF_CORRUPT_WINDOW

    public static final SVNErrorCode SVNDIFF_CORRUPT_WINDOW

### SVNDIFF_BACKWARD_VIEW

    public static final SVNErrorCode SVNDIFF_BACKWARD_VIEW

### SVNDIFF_INVALID_OPS

    public static final SVNErrorCode SVNDIFF_INVALID_OPS

### SVNDIFF_UNEXPECTED_END

    public static final SVNErrorCode SVNDIFF_UNEXPECTED_END

### APMOD_MISSING_PATH_TO_FS

    public static final SVNErrorCode APMOD_MISSING_PATH_TO_FS

### APMOD_MALFORMED_URI

    public static final SVNErrorCode APMOD_MALFORMED_URI

### APMOD_ACTIVITY_NOT_FOUND

    public static final SVNErrorCode APMOD_ACTIVITY_NOT_FOUND

### APMOD_BAD_BASELINE

    public static final SVNErrorCode APMOD_BAD_BASELINE

### APMOD_CONNECTION_ABORTED

    public static final SVNErrorCode APMOD_CONNECTION_ABORTED

### CLIENT_VERSIONED_PATH_REQUIRED

    public static final SVNErrorCode CLIENT_VERSIONED_PATH_REQUIRED

### CLIENT_RA_ACCESS_REQUIRED

    public static final SVNErrorCode CLIENT_RA_ACCESS_REQUIRED

### CLIENT_BAD_REVISION

    public static final SVNErrorCode CLIENT_BAD_REVISION

### CLIENT_DUPLICATE_COMMIT_URL

    public static final SVNErrorCode CLIENT_DUPLICATE_COMMIT_URL

### CLIENT_IS_BINARY_FILE

    public static final SVNErrorCode CLIENT_IS_BINARY_FILE

### CLIENT_INVALID_EXTERNALS_DESCRIPTION

    public static final SVNErrorCode CLIENT_INVALID_EXTERNALS_DESCRIPTION

### CLIENT_MODIFIED

    public static final SVNErrorCode CLIENT_MODIFIED

### CLIENT_IS_DIRECTORY

    public static final SVNErrorCode CLIENT_IS_DIRECTORY

### CLIENT_REVISION_RANGE

    public static final SVNErrorCode CLIENT_REVISION_RANGE

### CLIENT_INVALID_RELOCATION

    public static final SVNErrorCode CLIENT_INVALID_RELOCATION

### CLIENT_REVISION_AUTHOR_CONTAINS_NEWLINE

    public static final SVNErrorCode CLIENT_REVISION_AUTHOR_CONTAINS_NEWLINE

### CLIENT_PROPERTY_NAME

    public static final SVNErrorCode CLIENT_PROPERTY_NAME

### CLIENT_UNRELATED_RESOURCES

    public static final SVNErrorCode CLIENT_UNRELATED_RESOURCES

### CLIENT_MISSING_LOCK_TOKEN

    public static final SVNErrorCode CLIENT_MISSING_LOCK_TOKEN

### CLIENT_MULTIPLE_SOURCES_DISALLOWED

    public static final SVNErrorCode CLIENT_MULTIPLE_SOURCES_DISALLOWED

Since:
  1.2.0, SVN 1.5

### CLIENT_NO_VERSIONED_PARENT

    public static final SVNErrorCode CLIENT_NO_VERSIONED_PARENT

Since:
  1.2.0, SVN 1.5

### CLIENT_NOT_READY_TO_MERGE

    public static final SVNErrorCode CLIENT_NOT_READY_TO_MERGE

Since:
  1.2.0, SVN 1.5

### CLIENT_FILE_EXTERNAL_OVERWRITE_VERSIONED

    public static final SVNErrorCode CLIENT_FILE_EXTERNAL_OVERWRITE_VERSIONED

Since:
  1.3, SVN 1.6

### BASE

    public static final SVNErrorCode BASE

### PLUGIN_LOAD_FAILURE

    public static final SVNErrorCode PLUGIN_LOAD_FAILURE

### MALFORMED_FILE

    public static final SVNErrorCode MALFORMED_FILE

### INCOMPLETE_DATA

    public static final SVNErrorCode INCOMPLETE_DATA

### INCORRECT_PARAMS

    public static final SVNErrorCode INCORRECT_PARAMS

### UNVERSIONED_RESOURCE

    public static final SVNErrorCode UNVERSIONED_RESOURCE

### TEST_FAILED

    public static final SVNErrorCode TEST_FAILED

### UNSUPPORTED_FEATURE

    public static final SVNErrorCode UNSUPPORTED_FEATURE

### BAD_PROP_KIND

    public static final SVNErrorCode BAD_PROP_KIND

### ILLEGAL_TARGET

    public static final SVNErrorCode ILLEGAL_TARGET

### DELTA_MD5_CHECKSUM_ABSENT

    public static final SVNErrorCode DELTA_MD5_CHECKSUM_ABSENT

### DIR_NOT_EMPTY

    public static final SVNErrorCode DIR_NOT_EMPTY

### EXTERNAL_PROGRAM

    public static final SVNErrorCode EXTERNAL_PROGRAM

### SWIG_PY_EXCEPTION_SET

    public static final SVNErrorCode SWIG_PY_EXCEPTION_SET

### CHECKSUM_MISMATCH

    public static final SVNErrorCode CHECKSUM_MISMATCH

### CANCELLED

    public static final SVNErrorCode CANCELLED

### INVALID_DIFF_OPTION

    public static final SVNErrorCode INVALID_DIFF_OPTION

### PROPERTY_NOT_FOUND

    public static final SVNErrorCode PROPERTY_NOT_FOUND

### NO_AUTH_FILE_PATH

    public static final SVNErrorCode NO_AUTH_FILE_PATH

### VERSION_MISMATCH

    public static final SVNErrorCode VERSION_MISMATCH

### MERGE_INFO_PARSE_ERROR

    public static final SVNErrorCode MERGE_INFO_PARSE_ERROR

Since:
  1.2.0, SVN 1.5

### CEASE_INVOCATION

    public static final SVNErrorCode CEASE_INVOCATION

Since:
  1.2.0, SVN 1.5

### REVISION_NUMBER_PARSE_ERROR

    public static final SVNErrorCode REVISION_NUMBER_PARSE_ERROR

Since:
  1.2.0, SVN 1.5

### ITER_BREAK

    public static final SVNErrorCode ITER_BREAK

Since:
  1.2.0, SVN 1.5

### UNKNOWN_CHANGELIST

    public static final SVNErrorCode UNKNOWN_CHANGELIST

Since:
  1.2.0, SVN 1.5

### RESERVED_FILENAME_SPECIFIED

    public static final SVNErrorCode RESERVED_FILENAME_SPECIFIED

### UNKNOWN_CAPABILITY

    public static final SVNErrorCode UNKNOWN_CAPABILITY

### CL_ARG_PARSING_ERROR

    public static final SVNErrorCode CL_ARG_PARSING_ERROR

### CL_INSUFFICIENT_ARGS

    public static final SVNErrorCode CL_INSUFFICIENT_ARGS

### CL_MUTUALLY_EXCLUSIVE_ARGS

    public static final SVNErrorCode CL_MUTUALLY_EXCLUSIVE_ARGS

### CL_ADM_DIR_RESERVED

    public static final SVNErrorCode CL_ADM_DIR_RESERVED

### CL_LOG_MESSAGE_IS_VERSIONED_FILE

    public static final SVNErrorCode CL_LOG_MESSAGE_IS_VERSIONED_FILE

### CL_LOG_MESSAGE_IS_PATHNAME

    public static final SVNErrorCode CL_LOG_MESSAGE_IS_PATHNAME

### CL_COMMIT_IN_ADDED_DIR

    public static final SVNErrorCode CL_COMMIT_IN_ADDED_DIR

### CL_NO_EXTERNAL_EDITOR

    public static final SVNErrorCode CL_NO_EXTERNAL_EDITOR

### CL_BAD_LOG_MESSAGE

    public static final SVNErrorCode CL_BAD_LOG_MESSAGE

### CL_UNNECESSARY_LOG_MESSAGE

    public static final SVNErrorCode CL_UNNECESSARY_LOG_MESSAGE

### CL_NO_EXTERNAL_MERGE_TOOL

    public static final SVNErrorCode CL_NO_EXTERNAL_MERGE_TOOL

Since:
  1.2.0, SVN 1.5

Constructor Detail

### SVNErrorCode

    protected SVNErrorCode(int category,
                           int index,
                           String description)

Method Detail

### getErrorCode

    public static SVNErrorCode getErrorCode(int code)

  Gets an error code object given its unique error code number. If no definite error code objects corresponds to the provided value, returns `UNKNOWN`.

  Parameters:
    `code` - an error code number
  Returns:
    a corresponding SVNErrorCode.

### getCode

    public int getCode()

  Returns a unique error code value.

  Returns:
    an error code number

### getCategory

    public int getCategory()

  Returns the category this error code object belongs to.

  Returns:
    an error code category

### getDescription

    public String getDescription()

  Returns a description of this error.

  Returns:
    an error description common for all errors of the same error code

### hashCode

    public int hashCode()

  Returns a hash code for this object.

  Returns:
    hash code value

### equals

    public boolean equals(Object o)

  Says if the given object and this one are equal.

  Parameters:
    `o` - an object to compare with
  Returns:
    true if equals, false otherwise

### isAuthentication

    public boolean isAuthentication()

  Says if this error is an authentication error.

  Returns:
    true if it is, false otherwise

### toString

    public String toString()

  Gives a string representation of this object.

  Returns:
    a string representing this object

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.